<p align="center">
  <img style="border-radius: 8px;" width="100%" height="auto" src="viewer.png">
</p>

<h1 align="center">Prisma Viewer</h1>
<p align="center">
 <a href="https://www.npmjs.com/package/prisma-viewer">
  <img style="padding: 0px 8px;" src="https://img.shields.io/npm/v/prisma-viewer/latest?style=for-the-badge"/>
  </a>
  <a href="https://www.npmjs.com/package/prisma-viewer">
  <img alt="GitHub last commit" src="https://img.shields.io/github/last-commit/williamluke4/prisma-viewer?style=for-the-badge">
    </a>
</p>
<h2 align="center" style="">
<i>🐉 Here be dragons!!</i>
</h2>

### For use with [Prisma](https://www.prisma.io/) Datamodels

## Installation

```
  npm i -g prisma-viewer
```

canary

## Usage CLI

```
    Prisma Viewer   ಠ_ಠ

    Usage
      $ pv [path]

    Options
      -h, --help       Displays this help message
    Examples
      $ pv
      $ pv ./schema.prisma
```

## Usage Playground

When viewing the schema/datamodel:

- Press the `a` key to change the layout
- Use a `scroll wheel` to `zoom in/out`
- `Click and drag` to `pan`

## Development

`npm run dev [path/to/datamodel]`
